(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./TiltUpdater.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadTiltUpdater = loadTiltUpdater;
    const engine_1 = require("@tsparticles/engine");
    const TiltUpdater_js_1 = require("./TiltUpdater.js");
    async function loadTiltUpdater(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addParticleUpdater("tilt", container => {
            return Promise.resolve(new TiltUpdater_js_1.TiltUpdater(container));
        }, refresh);
    }
});
